NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SectionSurfaceBuilderEx Class Reference

Represents a NXOpen.Features.SectionSurface builder. More...

Inheritance diagram for NXOpen.Features.SectionSurfaceBuilderEx:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BodyType { Solid, Sheet }
 Body Preference type. More...
 
enum  CircularType {
  ThreePoint, TwoPointRadius, TwoPointSlope, RadiusAngleArc,
  TangentpointTangent, CenterRadius, CenterPoint, CenterTangent,
  TangentRadius, TangentTangentRadius
}
 This enum represents the current modes of circular type section surfaces. More...
 
enum  ConicType {
  Shoulder, Rho, Hilite, FourPointSlope,
  FivePoint
}
 This enum represents the current modes of conic type section surfaces. More...
 
enum  ControlRegionType { Entire, Start, End }
 Control Region type. More...
 
enum  CubicType { TwoSlopes, FilletBridge }
 This enum represents the current modes of cubic type section surfaces. More...
 
enum  LinearType { PointAngle, TangentTangent }
 This enum represents the current modes of linear type section surfaces. More...
 
enum  SectionMethodCircleTangentType { FilletArc, CoverArc }
 Section method Circle Tangent type. More...
 
enum  SectionMethodFilletBridgeType { Continuity, InheritShape }
 Section method Fillet Bridge type. More...
 
enum  SectionMethodRhoType { Rho, LeastTension }
 Section method Rho type. More...
 
enum  SlopeControlType { ByApex, ByCurves, ByFaces }
 Slope Control type. More...
 
enum  Spine { ByVector, ByCurve }
 Spine type. More...
 
enum  SpineEndFlowType { NotSpecified, Perpendicular, IsoLineU, IsoLineV }
 Spine End Flow type. More...
 
enum  SpineStartFlowType { NotSpecified, Perpendicular, IsoLineU, IsoLineV }
 Spine Start Flow type. More...
 
enum  Types { Conic, Circular, Cubic, Linear }
 This enum represents the current types of section surface methods. More...
 
enum  UDegreeType { Conic, Cubic, Quintic }
 Surface Degree type. More...
 

Public Member Functions

unsafe void SetHelpPointSupports (NXOpen.NXObject[] supports, bool[] supportSenses)
 For multiple solution case, set support where the help parameters locate to indicate which solution should be kept. More...
 
unsafe void SetSolutionHelpParams (double[]@params)
 For multiple solution case,set help point parameters to indicate which solution should be kept. More...
 
unsafe void SetSolutionHelpPositions (NXOpen.Point3d[] points)
 For multiple solution case, set help point positions to indicate which solution should be kept. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int AlternateSolutions [get, set]
 Returns or sets the alternate method. More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
AngleLaw [get]
 Returns the angle law. More...
 
unsafe NXOpen.Section ApexCurve [get]
 Returns the apex curve. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.BodyType 
BodyTypePreference [get, set]
 Returns or sets the body preference type. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.CircularType 
CircularTypeMode [get, set]
 Returns or sets the circular type mode. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.ConicType 
ConicTypeMode [get, set]
 Returns or sets the conic type mode. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.ControlRegionType 
ControlRegion [get, set]
 Returns or sets the control region. More...
 
unsafe bool CreateApexCurve [get, set]
 Returns or sets whether an apex curve should be created. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.CubicType 
CubicTypeMode [get, set]
 Returns or sets the cubic type mode. More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
EndContinuity [get]
 Returns the end continuity. More...
 
unsafe
NXOpen.GeometricUtilities.DepthSkewBuilder 
EndDepthSkew [get]
 Returns the end depth skew. More...
 
unsafe bool EndDirection [get, set]
 Returns or sets the end direction. More...
 
unsafe NXOpen.ScCollector EndFace [get]
 Returns the end face. More...
 
unsafe NXOpen.Section EndHighlightCurve [get]
 Returns the end highlight curve. More...
 
unsafe NXOpen.Section EndShapeCurve [get]
 Returns the end shape curve. More...
 
unsafe NXOpen.Section EndSlopeCurve [get]
 Returns the end slope curve. More...
 
unsafe
NXOpen.GeometricUtilities.DepthSkewBuilder 
EntireDepthSkew [get]
 Returns the entire depth skew. More...
 
unsafe double G0Tolerance [get, set]
 Returns or sets the g0 tolerance. More...
 
unsafe double G1Tolerance [get, set]
 Returns or sets the g1 tolerance. More...
 
unsafe double G2Tolerance [get, set]
 Returns or sets the g2 tolerance. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.LinearType 
LinearTypeMode [get, set]
 Returns or sets the linear type mode. More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
RadiusLaw [get]
 Returns the radius law. More...
 
unsafe
NXOpen.GeometricUtilities.Rebuild 
Rebuild [get]
 Returns the rebuild. More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
RhoLaw [get]
 Returns the rho law. More...
 
unsafe NXOpen.Section SectionEndGuide [get]
 Returns the section end guide. More...
 
unsafe NXOpen.Section SectionInteriorGuide1 [get]
 Returns the interior guide1. More...
 
unsafe NXOpen.Section SectionInteriorGuide2 [get]
 Returns the section interior guide2. More...
 
unsafe NXOpen.Section SectionInteriorGuide3 [get]
 Returns the section interior guide3. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.SectionMethodCircleTangentType 
SectionMethodCircleTangent [get, set]
 Returns or sets the section method circle tangent. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.SectionMethodFilletBridgeType 
SectionMethodFilletBridge [get, set]
 Returns or sets the section method fillet bridge. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.SectionMethodRhoType 
SectionMethodRho [get, set]
 Returns or sets the section method rho. More...
 
unsafe NXOpen.Section SectionOrientationGuide [get]
 Returns the section orientation guide. More...
 
unsafe NXOpen.Section SectionStartGuide [get]
 Returns the section start guide. More...
 
unsafe NXOpen.Section ShoulderCurve [get]
 Returns the shoulder curve. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.SlopeControlType 
SlopeControl [get, set]
 Returns or sets the slope control. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.SpineEndFlowType 
SpineEndFlowDirection [get, set]
 Returns or sets the spine end flow direction. More...
 
unsafe NXOpen.Section SpineSection [get]
 Returns the spine section. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.SpineStartFlowType 
SpineStartFlowDirection [get, set]
 Returns or sets the spine start flow direction. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.Spine 
SpineType [get, set]
 Returns or sets the spine. More...
 
unsafe NXOpen.Direction SpineVector [get, set]
 Returns or sets the spine vector. More...
 
unsafe bool SplitAlongGuide [get, set]
 Returns or sets whether the section surface should be segmented based on the input strings and constraint faces to create a multi-segment surface output. More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
StartContinuity [get]
 Returns the start continuity. More...
 
unsafe
NXOpen.GeometricUtilities.DepthSkewBuilder 
StartDepthSkew [get]
 Returns the start depth skew. More...
 
unsafe bool StartDirection [get, set]
 Returns or sets the start direction. More...
 
unsafe NXOpen.ScCollector StartFace [get]
 Returns the start face. More...
 
unsafe NXOpen.Section StartHighlightCurve [get]
 Returns the start highlight curve. More...
 
unsafe NXOpen.Section StartShapeCurve [get]
 Returns the start shape curve. More...
 
unsafe NXOpen.Section StartSlopeCurve [get]
 Returns the start slope curve. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.Types 
Type [get, set]
 Returns or sets the type. More...
 
unsafe
NXOpen.Features.SectionSurfaceBuilderEx.UDegreeType 
UDegree [get, set]
 Returns or sets the u degree. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.SectionSurface builder.

Use NXOpen.Features.SectionSurfaceBuilderEx to create section surface. For more details see the NX documentation for Section Surface.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateSectionSurfaceBuilderEx

Default values.

Property Value

AngleLaw.EndValue.Value

1

AngleLaw.Function

ft

AngleLaw.LawType

Constant

AngleLaw.Parameter

t

AngleLaw.StartValue.Value

1

AngleLaw.Value.Value

0.0

CircularTypeMode

ThreePoint

ConicTypeMode

Shoulder

ControlRegion

Entire

CubicTypeMode

TwoSlopes

EndContinuity.ContinuityType

G1

RadiusLaw.EndValue.Value

1.0 (millimeters part), 0.05 (inches part)

RadiusLaw.StartValue.Value

1.0 (millimeters part), 0.05 (inches part)

RadiusLaw.Value.Value

1.0 (millimeters part), 0.05 (inches part)

RhoLaw.EndValue.Value

0.5

RhoLaw.StartValue.Value

0.5

RhoLaw.Value.Value

0.5

SectionMethodCircleTangent

FilletArc

SectionMethodFilletBridge

Continuity

SectionMethodRho

Rho

SlopeControl

ByApex

SpineEndFlowDirection

NotSpecified

SpineStartFlowDirection

NotSpecified

SpineType

ByVector

StartContinuity.ContinuityType

G1

Created in NX9.0.0

Member Enumeration Documentation

Body Preference type.

Enumerator
Solid 

solid type

Sheet 

sheet type

This enum represents the current modes of circular type section surfaces.

Enumerator
ThreePoint 

Three Point mode

TwoPointRadius 

Two Point Radius mode

TwoPointSlope 

Two Point Slope mode

RadiusAngleArc 

Radius Angle Arc mode

TangentpointTangent 

Tangentpoint Tangent mode

CenterRadius 

Center Radius mode

CenterPoint 

Center Point mode

CenterTangent 

Center Tangent mode

TangentRadius 

Tangent Radius mode

TangentTangentRadius 

Tangent Tangent Radius mode

This enum represents the current modes of conic type section surfaces.

Enumerator
Shoulder 

Shoulder mode

Rho 

Rho mode

Hilite 

Hilite mode

FourPointSlope 

Four Point Slope mode

FivePoint 

Five Point mode

Control Region type.

Enumerator
Entire 

depth and skew applied to the entire section surface

Start 

depth and skew applied to the start section of the section surface

End 

depth and skew applied to the end section of the section surface

This enum represents the current modes of cubic type section surfaces.

Enumerator
TwoSlopes 

Two Slopes mode

FilletBridge 

Fillet Bridge mode

This enum represents the current modes of linear type section surfaces.

Enumerator
PointAngle 

Point Angle mode

TangentTangent 

Tangent Tangent mode

Section method Circle Tangent type.

Enumerator
FilletArc 

fillet arc

CoverArc 

cover arc

Section method Fillet Bridge type.

Enumerator
Continuity 

continuity options

InheritShape 

inherit shape option

Section method Rho type.

Enumerator
Rho 

rho law method

LeastTension 

least tension method

Slope Control type.

Enumerator
ByApex 

slope control by apex

ByCurves 

slope control by curves

ByFaces 

slope control by faces

Spine type.

Enumerator
ByVector 

spine by vector

ByCurve 

spine by curve

Spine End Flow type.

Enumerator
NotSpecified 

flow direction not specified

Perpendicular 

flow direction perpendicular to the guide

IsoLineU 

flow direction follows iso u of the start surface

IsoLineV 

flow direction follows iso v of the start surface

Spine Start Flow type.

Enumerator
NotSpecified 

flow direction not specified

Perpendicular 

flow direction perpendicular to the guide

IsoLineU 

flow direction follows iso u of the start surface

IsoLineV 

flow direction follows iso v of the start surface

This enum represents the current types of section surface methods.

Enumerator
Conic 

Conic type

Circular 

Circular type

Cubic 

Cubic type

Linear 

Linear type

Surface Degree type.

Enumerator
Conic 

conic in u

Cubic 

cubic in u

Quintic 

quintic in u

Member Function Documentation

unsafe void NXOpen.Features.SectionSurfaceBuilderEx.SetHelpPointSupports ( NXOpen.NXObject[]  supports,
bool[]  supportSenses 
)
inline

For multiple solution case, set support where the help parameters locate to indicate which solution should be kept.

Created in NX11.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
supports
supportSenses
unsafe void NXOpen.Features.SectionSurfaceBuilderEx.SetSolutionHelpParams ( double @[]  params)
inline

For multiple solution case,set help point parameters to indicate which solution should be kept.

Created in NX11.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
params
unsafe void NXOpen.Features.SectionSurfaceBuilderEx.SetSolutionHelpPositions ( NXOpen.Point3d[]  points)
inline

For multiple solution case, set help point positions to indicate which solution should be kept.

Created in NX11.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
points

Property Documentation

unsafe int NXOpen.Features.SectionSurfaceBuilderEx.AlternateSolutions
getset

Returns or sets the alternate method.

This api only applies to the follow section surface methods, circle_tangent and linear-tangent

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.SectionSurfaceBuilderEx.AngleLaw
get

Returns the angle law.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.ApexCurve
get

Returns the apex curve.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilderEx.ConicType.Shoulder , NXOpen.Features.SectionSurfaceBuilderEx.ConicType.Rho , and NXOpen.Features.SectionSurfaceBuilderEx.ConicType.Hilite

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Features.SectionSurfaceBuilderEx.BodyType NXOpen.Features.SectionSurfaceBuilderEx.BodyTypePreference
getset

Returns or sets the body preference type.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilderEx.CircularType NXOpen.Features.SectionSurfaceBuilderEx.CircularTypeMode
getset

Returns or sets the circular type mode.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilderEx.ConicType NXOpen.Features.SectionSurfaceBuilderEx.ConicTypeMode
getset

Returns or sets the conic type mode.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilderEx.ControlRegionType NXOpen.Features.SectionSurfaceBuilderEx.ControlRegion
getset

Returns or sets the control region.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.SectionSurfaceBuilderEx.CreateApexCurve
getset

Returns or sets whether an apex curve should be created.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilderEx.CubicType NXOpen.Features.SectionSurfaceBuilderEx.CubicTypeMode
getset

Returns or sets the cubic type mode.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.SectionSurfaceBuilderEx.EndContinuity
get

Returns the end continuity.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.DepthSkewBuilder NXOpen.Features.SectionSurfaceBuilderEx.EndDepthSkew
get

Returns the end depth skew.

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Features.SectionSurfaceBuilderEx.EndDirection
getset

Returns or sets the end direction.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.ScCollector NXOpen.Features.SectionSurfaceBuilderEx.EndFace
get
unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.EndHighlightCurve
get

Returns the end highlight curve.

Only applies to the follow section surface type: NXOpen.Features.SectionSurfaceBuilderEx.ConicType.Hilite

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.EndShapeCurve
get

Returns the end shape curve.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.EndSlopeCurve
get
unsafe NXOpen.GeometricUtilities.DepthSkewBuilder NXOpen.Features.SectionSurfaceBuilderEx.EntireDepthSkew
get

Returns the entire depth skew.

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.Features.SectionSurfaceBuilderEx.G0Tolerance
getset

Returns or sets the g0 tolerance.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe double NXOpen.Features.SectionSurfaceBuilderEx.G1Tolerance
getset

Returns or sets the g1 tolerance.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe double NXOpen.Features.SectionSurfaceBuilderEx.G2Tolerance
getset

Returns or sets the g2 tolerance.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilderEx.LinearType NXOpen.Features.SectionSurfaceBuilderEx.LinearTypeMode
getset

Returns or sets the linear type mode.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.SectionSurfaceBuilderEx.RadiusLaw
get

Returns the radius law.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Rebuild NXOpen.Features.SectionSurfaceBuilderEx.Rebuild
get

Returns the rebuild.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.SectionSurfaceBuilderEx.RhoLaw
get

Returns the rho law.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.SectionEndGuide
get

Returns the section end guide.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.SectionInteriorGuide1
get

Returns the interior guide1.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilderEx.ConicType.FourPointSlope , NXOpen.Features.SectionSurfaceBuilderEx.ConicType.FivePoint , and NXOpen.Features.SectionSurfaceBuilderEx.CircularType.ThreePoint

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.SectionInteriorGuide2
get

Returns the section interior guide2.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilderEx.ConicType.FourPointSlope and NXOpen.Features.SectionSurfaceBuilderEx.ConicType.FivePoint

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.SectionInteriorGuide3
get

Returns the section interior guide3.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilderEx.ConicType.FourPointSlope and NXOpen.Features.SectionSurfaceBuilderEx.ConicType.FivePoint

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Features.SectionSurfaceBuilderEx.SectionMethodCircleTangentType NXOpen.Features.SectionSurfaceBuilderEx.SectionMethodCircleTangent
getset

Returns or sets the section method circle tangent.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilderEx.SectionMethodFilletBridgeType NXOpen.Features.SectionSurfaceBuilderEx.SectionMethodFilletBridge
getset

Returns or sets the section method fillet bridge.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilderEx.SectionMethodRhoType NXOpen.Features.SectionSurfaceBuilderEx.SectionMethodRho
getset

Returns or sets the section method rho.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.SectionOrientationGuide
get

Returns the section orientation guide.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilderEx.CircularType.CenterRadius

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.SectionStartGuide
get

Returns the section start guide.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.ShoulderCurve
get

Returns the shoulder curve.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilderEx.ConicType.Shoulder

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Features.SectionSurfaceBuilderEx.SlopeControlType NXOpen.Features.SectionSurfaceBuilderEx.SlopeControl
getset

Returns or sets the slope control.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilderEx.SpineEndFlowType NXOpen.Features.SectionSurfaceBuilderEx.SpineEndFlowDirection
getset

Returns or sets the spine end flow direction.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.SpineSection
get

Returns the spine section.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Features.SectionSurfaceBuilderEx.SpineStartFlowType NXOpen.Features.SectionSurfaceBuilderEx.SpineStartFlowDirection
getset

Returns or sets the spine start flow direction.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilderEx.Spine NXOpen.Features.SectionSurfaceBuilderEx.SpineType
getset

Returns or sets the spine.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Direction NXOpen.Features.SectionSurfaceBuilderEx.SpineVector
getset

Returns or sets the spine vector.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.SectionSurfaceBuilderEx.SplitAlongGuide
getset

Returns or sets whether the section surface should be segmented based on the input strings and constraint faces to create a multi-segment surface output.

Allow you to keep sharp edges, overriding the default of approximating the output surface.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.SectionSurfaceBuilderEx.StartContinuity
get

Returns the start continuity.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.DepthSkewBuilder NXOpen.Features.SectionSurfaceBuilderEx.StartDepthSkew
get

Returns the start depth skew.

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Features.SectionSurfaceBuilderEx.StartDirection
getset

Returns or sets the start direction.

Only applies to the follow section surface types: NXOpen.Features.SectionSurfaceBuilderEx.CircularType.RadiusAngleArc and NXOpen.Features.SectionSurfaceBuilderEx.CubicType.FilletBridge

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.ScCollector NXOpen.Features.SectionSurfaceBuilderEx.StartFace
get
unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.StartHighlightCurve
get

Returns the start highlight curve.

Only applies to the follow section surface type: NXOpen.Features.SectionSurfaceBuilderEx.ConicType.Hilite

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.StartShapeCurve
get

Returns the start shape curve.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SectionSurfaceBuilderEx.StartSlopeCurve
get
unsafe NXOpen.Features.SectionSurfaceBuilderEx.Types NXOpen.Features.SectionSurfaceBuilderEx.Type
getset

Returns or sets the type.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SectionSurfaceBuilderEx.UDegreeType NXOpen.Features.SectionSurfaceBuilderEx.UDegree
getset

Returns or sets the u degree.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.